<?php
get_header();

echo '<div class="content-area ohbe-page"><div class="container reservation-summary">';
if (!get_option('ohbe_inventory')) {
    OHBE_Tools::mustSetInventory();
}
else {
    if (OHBE_Reservation::getReservationParam('reserv_id')) {
        $reserv = OHBE_Reservation::getReservationParam();
        $accos = OHBE_Review::joinAccos($reserv['data']['accos']);
        $itemsQuantity = OHBE_Review::countSelectedItems(
            $reserv['data']
        );
        OHBE_Tools::printFlashMessage();
        echo '<div class=row>';
        OHBE_Review::printReservationData($reserv['data']);
        OHBE_Review::printSelectedAccos($accos, $itemsQuantity);
        OHBE_Review::printSelectedItems(
            $reserv['data'],
            count($accos),
            $itemsQuantity
        );
        if (!get_option('ohbe_inventory')) {
            OHBE_Tools::mustSetInventory();
        }
        else {
            OHBE_Review::printEditItems();
        }
        echo '</div>';
    }
    else {
        echo do_shortcode('[ohbe_show]');
        OHBE_Tools::printFlashMessage();
        unset($_SESSION['ohbe']['reservation']['data']);
    }
}
echo '</div></div>';

// Javascript
if (isset($reserv)) {
    $inv_langs = OHBE_Main::getInventory('languages');
    $lang = OscarAPI::getLanguage();
    wp_enqueue_script('ohbe_reservation_data');
    wp_localize_script(
        'ohbe_reservation_data',
        'oscar_lang',
        $lang
    );
    wp_localize_script(
        'ohbe_reservation_data',
        'reserv_data',
        $reserv['data']
    );
    if (isset($inv_langs[$lang]['items'])) {
        wp_localize_script(
            'ohbe_reservation_data',
            'inv_lang_items',
            $inv_langs[$lang]['items']
        );
    }
    wp_localize_script(
        'ohbe_reservation_data',
        'inv_currency',
        OHBE_Main::getInventory('currency')
    );
    wp_localize_script(
        'ohbe_reservation_data',
        'inv_items',
        OHBE_Main::getInventory('items')
    );
    wp_localize_script(
        'ohbe_reservation_data',
        'inv_images',
        OHBE_Main::getInventory('images')
    );
}

get_footer();
