<li>
    <div class=accommodation-element
        <?php OHBE_Availability::printAccommodationCardData($acco); ?>>
        <?php echo OHBE_Availability::renderAccommodationCardImage($acco); ?>
        <?php OHBE_Availability::printPromoRibbon($acco); ?>
        <div class=acco-info>
            <div class=acco-title>
                <?php
                echo OHBE_Availability::renderAccommodationCardName($acco); ?>
            </div>
            <div class=max-people>
                <div class=max-text><?php _e('Maximum', 'ohbe'); ?></div>
                <?php
                    echo OHBE_Tools::renderOccupancyIcons(
                        $acco['acco_id'],
                        'accos'
                    );

                    if (isset($acco['promo_code'])
                        && $acco['amount'] <= OHBE_Main::getSettings('only_left')) {
                        printf(
                            '<span class=only-left>%s</span>',
                            sprintf(
                                _n('Only %d left', 'Only %d left', $acco['amount'], 'ohbe'),
                                number_format_i18n($acco['amount'])
                            )
                        );
                    }
                ?>
            </div>
            <hr class=divider>
            <?php echo OHBE_Availability::renderRateBlock($acco); ?>
        </div>
    </div>
</li>
