<li class="reserved-extra-card">
    <?php echo OHBE_Review::renderItemCardImage($item['id'], false); ?>
    <div class=info>
        <div class="ohbe-title">
            <?php echo OHBE_Review::renderItemCardName($item, false);?>
        </div>
        <div class=data>
            <label class=ohbe-title><?php echo _e('Quantity', 'ohbe'); ?>: </label>
            <div class=value>
                <?php
                if ($item['daily']) {
                    echo $item['quantity'] . ' × ';
                    printf (
                        _n('%d day', '%d days', $reserv_data['days'], 'ohbe'),
                        number_format_i18n($reserv_data['days'])
                    );
                    echo ' = ' . $item['quantity'] * $reserv_data['days'];
                }
                else {
                    echo $item['quantity'];
                }
                ?>
            </div>
        </div>
        <div class=data>
            <label class=ohbe-title><?php echo _e('Price', 'ohbe'); ?>: </label>
            <div class="value bold">
                <?php
                $subtotal = $item['price'] * $item['quantity'];
                if ($item['daily']) {
                    $subtotal *= $reserv_data['days'];
                }
                echo OHBE_Tools::formatPrice($subtotal);
                ?>
            </div>
        </div>
    </div>
</li>
